package main

import (
	"encoding/json"
	"net"
)

func Write[T any](conn net.Conn, v T) error {
	return json.NewEncoder(conn).Encode(v)
}

func Read[T any](conn net.Conn) (*T, error) {

	// 再读报文内容
	var zero T
	err := json.NewDecoder(conn).Decode(&zero)

	if err != nil {
		return nil, err
	}
	return &zero, nil
}
